# H245_VideoMode Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_h261VideoMode, e_h262VideoMode, e_h263VideoMode, e_is11172VideoMode, e_genericVideoMode }

## Public Member Functions

| H245_VideoMode (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardParameter & ()
| operator const H245_NonStandardParameter & () const
| operator H245_H261VideoMode & ()
| operator const H245_H261VideoMode & () const
| operator H245_H262VideoMode & ()
| operator const H245_H262VideoMode & () const
| operator H245_H263VideoMode & ()
| operator const H245_H263VideoMode & () const
| operator H245_IS11172VideoMode & ()
| operator const H245_IS11172VideoMode & () const
| operator H245_GenericCapability & ()
| operator const H245_GenericCapability & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_VideoMode::Choices

Enumerator:

  e_nonStandard |
  e_h261VideoMode |
  e_h262VideoMode |
  e_h263VideoMode |
  e_is11172VideoMode |
  e_genericVideoMode |

## Constructor & Destructor Documentation

H245_VideoMode::H245_VideoMode | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_VideoMode::operator H245_NonStandardParameter & | ( |  | ) |

H245_VideoMode::operator const H245_NonStandardParameter & | ( |  | ) | const

H245_VideoMode::operator H245_H261VideoMode & | ( |  | ) |

H245_VideoMode::operator const H245_H261VideoMode & | ( |  | ) | const

H245_VideoMode::operator H245_H262VideoMode & | ( |  | ) |

H245_VideoMode::operator const H245_H262VideoMode & | ( |  | ) | const

H245_VideoMode::operator H245_H263VideoMode & | ( |  | ) |

H245_VideoMode::operator const H245_H263VideoMode & | ( |  | ) | const

H245_VideoMode::operator H245_IS11172VideoMode & | ( |  | ) |

H245_VideoMode::operator const H245_IS11172VideoMode & | ( |  | ) | const

H245_VideoMode::operator H245_GenericCapability & | ( |  | ) |

H245_VideoMode::operator const H245_GenericCapability & | ( |  | ) | const

PBoolean H245_VideoMode::CreateObject | ( |  | ) |

PObject* H245_VideoMode::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h